Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Fangen aktivieren, Makro

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Fangen aktivieren, Makro (1000 mal gelesen)
ronny82
Mitglied
Konstrukteur


Sehen Sie sich das Profil von ronny82 an!   Senden Sie eine Private Message an ronny82  Schreiben Sie einen Gästebucheintrag für ronny82

Beiträge: 24
Registriert: 16.01.2008

SWX 2014

erstellt am: 21. Okt. 2014 16:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

kann mir jemand sagen, wie in der API "Skizzeneinstellungen/fangen aktivieren" versteckt ist?

Hintergrund: Ich füge per Makro Skizzenpunkte ein.
Wenn das Fangen aktiviert ist, wird der Punkt nicht an die richtige Stelle eingefügt, sondern ggf. dem Vorherigen in einer Achse gefangen.


Grüße Ronny

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

DerRalle
Mitglied
Konstrukteur


Sehen Sie sich das Profil von DerRalle an!   Senden Sie eine Private Message an DerRalle  Schreiben Sie einen Gästebucheintrag für DerRalle

Beiträge: 13
Registriert: 12.03.2013

erstellt am: 21. Okt. 2014 18:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ronny82 10 Unities + Antwort hilfreich

Hallo,

wenn du die automatischen Referenzen meinst:

snippet

Code:

'Automatische Verknüpfungen deaktivieren
doc.SketchManager.AutoInference = False

.
.
.


'Automatische Verknüfungen wieder aktivieren
doc.SketchManager.AutoInference = True


Gruss Ralph

[Diese Nachricht wurde von DerRalle am 21. Okt. 2014 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2124
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 22. Okt. 2014 06:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ronny82 10 Unities + Antwort hilfreich

Hallo Ronny,

such in der SWX-API Hilfe einfach nach "System Options > Sketch > Relations/Snaps" da findest du dann alle Einstellmöglichkeiten die du in den "Systemoptionen > Skizze > Beziehungen/Fangen" setzen kannst.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanBerlitz
Guter-Geist-Moderator
IT Admin (CAx)



Sehen Sie sich das Profil von StefanBerlitz an!   Senden Sie eine Private Message an StefanBerlitz  Schreiben Sie einen Gästebucheintrag für StefanBerlitz

Beiträge: 8745
Registriert: 02.03.2000

SunZu sagt:
Analysiere die Vorteile, die
du aus meinem Ratschlag ziehst.
Dann gliedere deine Kräfte
entsprechend und mache dir
außergewöhnliche Taktiken zunutze.

erstellt am: 22. Okt. 2014 08:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ronny82 10 Unities + Antwort hilfreich

Hallo Ronny,

statt sich die Einstellungen der verschiedenen Fangs zu holen, zu merken, auszuschalten und hinterher wieder zurückzusetzen kannst du auch einfach die Skizzenpunkte direkt der Datenbasis hinzufügen. Dazu gibt es den API-Call ModelDoc2::SetAddToDB (oder die modernere Variante SketchManager::AddToDb.

Aus der API Hilfe: One of the benefits of adding sketch entities directly to the database is that you can avoid grid and entity snapping. For example, if you create a sketch line whose endpoint is near another entity or near a grid point, the new line endpoint snaps to the other item or grid point. Setting ISketchManager::AddToDB to true avoids this behavior during sketch entity creation.

Ciao,
Stefan

------------------
Inoffizielle deutsche SolidWorks Hilfeseite    http://solidworks.cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz